Subject: Re: [PATCH 2/6] PowerPC 440EPx: Sequoia DTS

From: David Gibson <[email-masked]>
Date: Tue, 7 Aug 2007 13:41:36 +1000

On Mon, Aug 06, 2007 at 09:59:24PM +0200, Segher Boessenkool wrote:
> >>> Yeah, better names please -- if possible, something that someone
> >>> without knowledge of this SoC will understand what it is.
> >>
> >> I think the names are probably ok - I'm assuming they're in keeping
> >> with the convention I've used of using the same names / abbreviations
> >> as in the CPU user manual.  I'm asking just for my own information,
> >> although a comment might not be a bad idea.
> 
> Fine with me -- I personally prefer "system-device-controller"
> and "clock-power-controller" or similar, but that is mostly a
> matter of taste.  As long as it's human readable it's fine.

Actually, it occurs to me that I've only sometimes been using that
convention for the names:  basically just for the weirdo chip control
devices that don't have a more widespread generic name.  I *have* been
strictly keeping to that convention for the labels in the dts (which
is why the PLB<->OPB bridge node is labelled POB rather than OPB, for
example).

> > -    Required properties:
> > +     - compatible : should contain the specific model of flash 
> > chip(s) used
> 
> "if known".

Added.

> > +       followed by either "cfi-flash" or "jedec-flash"
> 
> 
> > +    Flash partitions
> > +     - reg :
> > +     - read-only : (optional)
> 
> I'll hold off commenting on this until you've finish writing it,
> you probably know my opinion about it anyway :-)

Heh.. actually I was kind of hoping for your input on what's still
missing.  For example, I don't know what the necessary extra
properties for JEDEC chips are.

> One thing though -- what _exactly_ does "read-only" signify?

That's... a good question.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson